:: One Phase Transformer
:::SYMBOL{Transformers}{One_Ph_Tra2}
:::ASSUM
::: Model transformátoru bez sycení jádra s respektováním
::: transformačního převodu, rozptylu a činného odporu vinutí
::: plus činných ztrát naprázdno.
:::DIAGRAM[]{}
:::FIG
:::INTER
:::EXTP
:::PARA
:::DATA
:::ORIG
::: Karel Noháč KEE, FEL, ZČU v Plzni
ONEPHTRA2
Ext1,
Ext1_,
Ext2,
Ext2_/
N1= 22000,  :: [-]  Pocet zavitu vinuti 1.
N2=110000,  :: [-]  Pocet zavitu vinuti 2.
Sn=20ME,    :: [VA] Jmenovity zdanlivy vykon
Un2=110k,   :: [V]  Jmenovite napeti vinuti 2.
I0=0.2,     :: [\%] Proud naprazdno
Uk=10,      :: [\%] Napeti nakratko
dPk=0.3,    :: [\%] Cinne ztraty nakratko
dP0=0.05,   :: [\%] Cinne ztraty naprazdno
Freq1=50;   :: [Hz] Jmenovita frekvence

Kva_Pre=N1*N1/(N2*N2);             :: [-]  Kvadrat prevodu
Omega=2pi*Freq1;                   :: [rad/sec] Uhlova rychlost
Zn=Un2**2/Sn;                      :: [Ohm] Jmenovita impedance

Rcu2=(dPk/100)*Zn/2;               :: [Ohm] Cinny odpor vinuti 2.
Rcu1=Rcu2*Kva_Pre;                 :: [Ohm] Cinny odpor vinuti 1.
Zk=(Uk/100)*Zn/2;                  :: [Ohm] Podelna impedance
Lsigma2=sqrt(Zk**2-Rcu2**2)/Omega; :: [H] Rozptylova indukcnost vinuti 2.
Lsigma1=Lsigma2*Kva_Pre;           :: [H] Rozptylova indukcnost vinuti 1.

Gfe=(dP0/100)/Zn;                  :: [S] Pricna cinna admitance
Yg=(I0/100)/Zn;                    :: [S] Pricna admitance
Lh=1/sqrt(Yg**2-Gfe**2)/Omega;     :: [H] Hlavni reaktance
Rm=N2*N2/Lh;                       :: [-] Magneticky odpor jadra

SYSVAR Fi;  :: Magneticky tok jadra
0=Fi*Rm-N1*I.E_Ui1-N2*I.E_Ui2;
R1 Ext1-1 = Rcu1;
R2 Ext2-3 = Rcu2;
E_Ui1 2-Ext1_ = N1*VD.Fi;
E_Ui2 4-Ext2_ = N2*VD.Fi;
Ls1 1-2 = Lsigma1;
Ls2 3-4 = Lsigma2;
Gfe0 4-Ext2_ = Gfe;
EO@;

