:: Three Phase Transformer Y-y
:::SYMBOL{Transformers}{Tra_3f_Yy}
:::ASSUM
::: Model 3f transformátoru v zapojení Y-y
::: bez sycení jádra s respektováním transformačního převodu, 
::: rozptylu vinutí a činného odporu vinutí
:::DIAGRAM[]{}
:::FIG
:::INTER
:::EXTP
:::PARA
:::DATA
:::ORIG
::: Karel Noháč KEE, FEL, ZČU v Plzni
TR3FYY
A1,
B1,
C1,
A2,
B2,
C2,
G1,
G2/
N1= 22000,  :: [-]  Pocet zavitu vinuti 1.
N2=110000,  :: [-]  Pocet zavitu vinuti 2.
Sn=20ME,    :: [VA] Jmenovity zdanlivy vykon
Un2=110k,   :: [V]  Jmenovite napeti vinuti 2.
I0=0.2,     :: [\%] Proud naprazdno
Uk=10,      :: [\%] Napeti nakratko
dPk=0.3,    :: [\%] Cinne ztraty nakratko
dP0=0.05,   :: [\%] Cinne ztraty naprazdno
Freq1=50;   :: [Hz] Jmenovita frekvence 

Kva_Pre=N1*N1/(N2*N2);             :: [-]  Kvadrat prevodu
Omega=2pi*Freq1;                   :: [rad/sec] Uhlova rychlost
Zn=Un2**2/Sn;                      :: [Ohm] Jmenovita impedance

Rcu2=(dPk/100)*Zn/2;               :: [Ohm] Cinny odpor vinuti 2.
Rcu1=Rcu2*Kva_Pre;                 :: [Ohm] Cinny odpor vinuti 1.
Zk=(Uk/100)*Zn/2;                  :: [Ohm] Podelna impedance
Lsigma2=sqrt(Zk**2-Rcu2**2)/Omega; :: [H] Rozptylova indukcnost vinuti 2.
Lsigma1=Lsigma2*Kva_Pre;           :: [H] Rozptylova indukcnost vinuti 1.

Gfe=(dP0/100)/Zn;                  :: [S] Pricna cinna admitance
Yg=(I0/100)/Zn;                    :: [S] Pricna admitance
Lh=1/sqrt(Yg**2-Gfe**2)/Omega;     :: [H] Hlavni reaktance
Rm=N2*N2/Lh;                       :: [-] Magneticky odpor jadra

OPT2B > @OnePhTra B1,G1,B2,G2 / N1=N1,N2=N2,Rcu1=Rcu1,
  Rcu2=Rcu2,Lsigma1=Lsigma1,Lsigma2=Lsigma2,Rm=Rm,Gfe=Gfe;
OPT1A > @OnePhTra A1,G1,A2,G2 / N1=N1,N2=N2,Rcu1=Rcu1,
  Rcu2=Rcu2,Lsigma1=Lsigma1,Lsigma2=Lsigma2,Rm=Rm,Gfe=Gfe;
OPT3C > @OnePhTra C1,G1,C2,G2 / N1=N1,N2=N2,Rcu1=Rcu1,
  Rcu2=Rcu2,Lsigma1=Lsigma1,Lsigma2=Lsigma2,Rm=Rm,Gfe=Gfe;
EO@;
