:: Three Phase Transmission Line
:::SYMBOL{Transmission_Lines}{Three_Phase_Transmission_Line}
:::ASSUM
::: Model 3f vedení
:::DIAGRAM[]{}
:::FIG
:::INTER
:::EXTP
:::PARA
:::DATA
:::ORIG
::: Karel Noháč KEE, FEL, ZČU v Plzni
TRLINE3F2
A1,
B1,
C1,
A2,
B2,
C2,
G/
Rp= 0.1,    :: [Ohm/km] Podélný činný provozní odpor
Lp= 1m,     :: [H/km]   Podélná provozní indukčnost
Cp= 10n,    :: [nF/km]  Příčná provozní kapacita
Gp= 10u,    :: [S/km]   Příčný provozní svod
L1=100;     :: [km]     Délka vedení

Rp1=Rp*L1;
Lp1=Lp*L1;
Cp1=Cp*L1;
Gp1=Gp*L1;

LCRG1A > @lcrg A1,A2,G / dR=Rp1,dL=Lp1,dC=Cp1,dG=Gp1;
LCRG2B > @lcrg B1,B2,G / dR=Rp1,dL=Lp1,dC=Cp1,dG=Gp1;
LCRG3C > @lcrg C1,C2,G / dR=Rp1,dL=Lp1,dC=Cp1,dG=Gp1;
EO@;
